libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::const_reverse_result_iterator Class Reference

Reverse iterator for result. Use as result::const_reverse_iterator. More...

`#include <result.hxx>`

Inheritance diagram for pqxx::const_reverse_result_iterator:

## Public Types

typedef const_result_iterator | super
typedef const_result_iterator | iterator_type
typedef result::difference_type | difference_type
typedef const tuple * | pointer
typedef tuple | reference

## Public Member Functions

| const_reverse_result_iterator (const const_reverse_result_iterator &rhs)
| const_reverse_result_iterator (const const_result_iterator &rhs)
const_result_iterator PQXX_PURE | base () const throw ()
Manipulations
const_reverse_result_iterator & | operator= (const const_reverse_result_iterator &r)
const_reverse_result_iterator | operator++ ()
const_reverse_result_iterator | operator++ (int)
const_reverse_result_iterator & | operator-- ()
const_reverse_result_iterator | operator-- (int)
const_reverse_result_iterator & | operator+= (difference_type i)
const_reverse_result_iterator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_result_iterator | operator+ (difference_type i) const
const_reverse_result_iterator | operator- (difference_type i)
difference_type | operator- (const const_reverse_result_iterator &rhs) const
Comparisons
bool | operator== (const const_reverse_result_iterator &rhs) const throw ()
bool | operator!= (const const_reverse_result_iterator &rhs) const throw ()
bool | operator< (const const_reverse_result_iterator &rhs) const
bool | operator<= (const const_reverse_result_iterator &rhs) const
bool | operator> (const const_reverse_result_iterator &rhs) const
bool | operator>= (const const_reverse_result_iterator &rhs) const

## Additional Inherited Members

Private Types inherited from pqxx::const_result_iterator
typedef const tuple * | pointer
typedef tuple | reference
typedef result::size_type | size_type
typedef result::difference_type | difference_type
Private Member Functions inherited from pqxx::const_result_iterator
| const_result_iterator () throw ()
| const_result_iterator (const tuple &t) throw ()
pointer | operator-> () const
reference | operator* () const
const_result_iterator | operator++ (int)
const_result_iterator & | operator++ ()
const_result_iterator | operator-- (int)
const_result_iterator & | operator-- ()
const_result_iterator & | operator+= (difference_type i)
const_result_iterator & | operator-= (difference_type i)
bool | operator== (const const_result_iterator &i) const
bool | operator!= (const const_result_iterator &i) const
bool | operator< (const const_result_iterator &i) const
bool | operator<= (const const_result_iterator &i) const
bool | operator> (const const_result_iterator &i) const
bool | operator>= (const const_result_iterator &i) const
const_result_iterator | operator+ (difference_type) const
const_result_iterator | operator- (difference_type) const
difference_type | operator- (const_result_iterator) const
Friends inherited from pqxx::const_result_iterator

## Detailed Description

Reverse iterator for result. Use as result::const_reverse_iterator.

## Member Typedef Documentation

typedef result::difference_type pqxx::const_result_iterator::difference_type

typedef const_result_iterator pqxx::const_reverse_result_iterator::iterator_type

typedef const tuple* pqxx::const_result_iterator::pointer

typedef tuple pqxx::const_result_iterator::reference

typedef const_result_iterator pqxx::const_reverse_result_iterator::super

## Constructor & Destructor Documentation

pqxx::const_reverse_result_iterator::const_reverse_result_iterator | ( | const const_reverse_result_iterator & | rhs | ) |

pqxx::const_reverse_result_iterator::const_reverse_result_iterator | ( | const const_result_iterator & | rhs | ) |

explicit

## Member Function Documentation

pqxx::result::const_iterator pqxx::result::const_reverse_iterator::base | ( |  | ) | const throw ()

Referenced by pqxx::operator+().

bool pqxx::const_reverse_result_iterator::operator!= | ( | const const_reverse_result_iterator & | rhs | ) | const throw ()

const_reverse_result_iterator pqxx::const_reverse_result_iterator::operator+ | ( | difference_type | i | ) | const

const_reverse_result_iterator pqxx::const_reverse_result_iterator::operator++ | ( |  | ) |

pqxx::const_reverse_result_iterator pqxx::const_reverse_result_iterator::operator++ | ( | int |  | ) |

const_reverse_result_iterator& pqxx::const_reverse_result_iterator::operator+= | ( | difference_type | i | ) |

const_reverse_result_iterator pqxx::const_reverse_result_iterator::operator- | ( | difference_type | i | ) |

difference_type pqxx::const_reverse_result_iterator::operator- | ( | const const_reverse_result_iterator & | rhs | ) | const

const_reverse_result_iterator& pqxx::const_reverse_result_iterator::operator-- | ( |  | ) |

pqxx::const_reverse_result_iterator pqxx::const_reverse_result_iterator::operator-- | ( | int |  | ) |

const_reverse_result_iterator& pqxx::const_reverse_result_iterator::operator-= | ( | difference_type | i | ) |

bool pqxx::const_reverse_result_iterator::operator< | ( | const const_reverse_result_iterator & | rhs | ) | const

bool pqxx::const_reverse_result_iterator::operator<= | ( | const const_reverse_result_iterator & | rhs | ) | const

const_reverse_result_iterator& pqxx::const_reverse_result_iterator::operator= | ( | const const_reverse_result_iterator & | r | ) |

bool pqxx::const_reverse_result_iterator::operator== | ( | const const_reverse_result_iterator & | rhs | ) | const throw ()

bool pqxx::const_reverse_result_iterator::operator> | ( | const const_reverse_result_iterator & | rhs | ) | const

bool pqxx::const_reverse_result_iterator::operator>= | ( | const const_reverse_result_iterator & | rhs | ) | const

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx